package ru.yandex.autotests.directapi.model.api5.campaignsext;

import com.yandex.direct.api.v5.campaignsext.TextCampaignSettingGet;
import com.yandex.direct.api.v5.campaignsext.TextCampaignSettingsGetEnum;
import com.yandex.direct.api.v5.general.YesNoEnum;

import ru.yandex.autotests.direct.utils.model.ModelBeanMap;

/**
 * Created by ginger on 26.08.15.
 */
public class TextCampaignSettingGetMap extends ModelBeanMap<TextCampaignSettingGetMap> {

    public static final String OPTION = "option";
    public static final String VALUE = "value";

    public TextCampaignSettingGetMap() {
        super();
        setBean(new TextCampaignSettingGet());
    }

    public TextCampaignSettingGetMap(TextCampaignSettingGet textCampaignSettingGet) {
        super();
        setBean(textCampaignSettingGet);
    }

    public TextCampaignSettingGetMap put(String fieldName, Object value) {
        super.put(fieldName, value);
        return this;
    }

    public TextCampaignSettingGetMap withOption(TextCampaignSettingsGetEnum campaignPropertiesEnum) {
        this.put(OPTION, campaignPropertiesEnum);
        return this;
    }

    public TextCampaignSettingGetMap withValue(YesNoEnum yesNoEnum) {
        this.put(VALUE, yesNoEnum);
        return this;
    }
}
